# The upstream version
%global upver 1.1.2.1
# The project url on the forge
%global forgeurl https://github.com/skarnet/s6-linux-init/
# The tag being packaged
%global tag v%{upver}
# The commit being packaged
%global commit 59bf5341790b98413caf9fdd6c99a760bebc075d
# The s6-linux-init skel dir
%global _s6skeldir %{_sysconfdir}/s6-linux-init/skel

%forgemeta


Name:       s6-linux-init
Version:    %{upver}
Release:    2%{dist}
Summary:    Automated /sbin/init creation for s6-based Linux systems
URL:        %{forgeurl}
License:    ISC
Source:     %{forgesource}

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  s6-devel

Requires:   s6

%description
s6-linux-init is a suite of tools designed to provide an init program
for the Linux kernel - i.e., the first program run at boot time.


%package doc
Summary: The s6-linux-init Documentaion

%description doc
The s6-linux-init Documentaion package.


%package libs
Summary: The s6-linux-init library files

%description libs
The s6-linux-init library package.


%package devel
Summary:    The s6-linux-init Development files
Requires:   %{name}%{_isa} = %{version}
Requires:   s6-devel

%description devel
The s6-linux-init development package.


%prep
%forgeautosetup


%build
export PATH="%{_execdir}:${PATH}"
%configure \
    --bindir=%{_execdir} \
    --dynlibdir=%{_libdir} \
    --with-sysdeps=%{_sysdepsdir} \
    --with-include=%{_includedir} \
    --with-lib=%{_libdir} \
    --with-dynlib=%{_libdir} \
    --skeldir=%{_s6skeldir} \
    --tmpfsdir=%{_rundir} \
    --scandir=service \
    --enable-shared \
    --disable-allstatic \
    --disable-static
%make_build


%install
export PATH="%{_execdir}:${PATH}"
%{__make} install DESTDIR=%{?buildroot}


%check
: TODO Check


%files
%license COPYING
%config(noreplace) %{_s6skeldir}/rc.init
%config(noreplace) %{_s6skeldir}/rc.shutdown
%config(noreplace) %{_s6skeldir}/rc.shutdown.final
%config(noreplace) %{_s6skeldir}/runlevel
%{_execdir}/s6-linux-init
%{_execdir}/s6-linux-init-echo
%{_execdir}/s6-linux-init-hpr
%{_execdir}/s6-linux-init-logouthookd
%{_execdir}/s6-linux-init-maker
%{_execdir}/s6-linux-init-nuke
%{_execdir}/s6-linux-init-shutdown
%{_execdir}/s6-linux-init-shutdownd
%{_execdir}/s6-linux-init-telinit
%{_execdir}/s6-linux-init-umountall


%files doc
%doc doc/


%files libs
%{_libdir}/libs6_linux_init.so*


%files devel
%{_includedir}/s6-linux-init/config.h
%{_includedir}/s6-linux-init/s6-linux-init.h


%changelog
%{autochangelog}
